<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/var/www/installer/public_html/officity-source/apps/system/system.include.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
	//error_reporting(E_ALL & ~E_NOTICE);
	require_once(dirname(__FILE__).'/config/system.config.php');
	require_once(dirname(__FILE__).'/system.url.php');
	require_once(dirname(__FILE__).'/system.auth.php');
		
	/* SYSTEM INCLUDES */
		
	/* kernel stuff */
	require_once(KERNEL_PATH.'common/exception.class.php');
	require_once(KERNEL_PATH.'common/nql.class.php');
	require_once(KERNEL_PATH.'common/file.class.php');
	require_once(KERNEL_PATH.'common/date.class.php');

	/* officity vi system objects */
	require_once(SYSTEM_CLASS_PATH.'OfficityException.class.php');
	require_once(SYSTEM_CLASS_PATH.'OfficityShell.class.php');
	require_once(SYSTEM_CLASS_PATH.'Param.class.php');
	require_once(SYSTEM_CLASS_PATH.'JSONResponse.class.php');	
	require_once(SYSTEM_CLASS_PATH.'AbstractOperation.class.php');
	require_once(SYSTEM_CLASS_PATH.'AbstractElementOperation.class.php');
	require_once(SYSTEM_CLASS_PATH.'OfficitySpringboard.class.php');
	require_once(SYSTEM_CLASS_PATH.'OfficityApplication.class.php');

    require_once(dirname(__FILE__).'/system.elements.classes.php');    
    require_once(dirname(__FILE__).'/system.functions.php');

	// allow system to know all elements objects from the editors
	require_once(dirname(__FILE__).'/config/system.editors.elements.classes.includer.php');
	
    /* XSL /RESPONSE/URL/... */
	
    $_GET += $_POST;
    
    $_GET['systemEnv'] = SYSTEM_ENV;
    $_GET['now'] = date('Y-m-d H:i:s');    
    
    $OFFICITY_USER = new OfficityUser();
    $_GET['userID'] = $OFFICITY_USER->getID();    
?>
